/// #pkgName FGUI包名
/// #panelName UIPanel名字
/// #UIName = $"{#pkgName}{#panelName}" UIKey名字
/// 该脚本由模板创建
/// created by cb 2024

using XGame.Framework.UI;

namespace FL.FGUI
{
    public static partial class UIKeys
    {
        private static UIKey _MainHomePanel;
        public static UIKey MainHomePanel => _MainHomePanel ?? (_MainHomePanel = new UIKey("Main", "HomePanel", typeof(MainHomePanelView)));
    }
    public partial class MainHomePanelView : UIView
    {

        protected override void AddController(IUIControllerGroup group)
        {
            group.Add(new MainHomePanelCtrl());
        }

        protected override IUIViewModel CreateViewModel()
        {
            return new MainHomePanelVM();
        }

        protected override void OnDispose()
        {
        }
    }
}

